Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.localsearch.decider.acceptor.lateacceptance
Class LateAcceptanceAcceptor

    java.lang.Object
      org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
          org.optaplanner.core.impl.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
              org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor
                  org.optaplanner.core.impl.localsearch.decider.acceptor.lateacceptance.LateAcceptanceAcceptor

All Implemented Interfaces:
  EventListener, Acceptor, LocalSearchSolverPhaseLifecycleListener, SolverLifecycleListener

    public class LateAcceptanceAcceptor

extends AbstractAcceptor

Field Summary
`protected boolean` | `hillClimbingEnabled`
`protected int` | `lateAcceptanceSize`
`protected int` | `lateScoreIndex`
`protected Score[]` | `previousScores`

Fields inherited from class org.optaplanner.core.impl.localsearch.decider.acceptor.AbstractAcceptor
`logger`

Constructor Summary
`LateAcceptanceAcceptor()`

Method Summary
`boolean` | `isAccepted(LocalSearchMoveScope moveScope)`
`void` | `phaseEnded(LocalSearchSolverPhaseScope phaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope phaseScope)`
`void` | `setHillClimbingEnabled(boolean hillClimbingEnabled)`
`void` | `setLateAcceptanceSize(int lateAcceptanceSize)`
`void` | `stepEnded(LocalSearchStepScope stepScope)`

Methods inherited from class org.optaplanner.core.impl.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
`stepStarted`

Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.localsearch.event.LocalSearchSolverPhaseLifecycleListener
`stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Field Detail

### lateAcceptanceSize

    protected int lateAcceptanceSize

### hillClimbingEnabled

    protected boolean hillClimbingEnabled

### previousScores

    protected Score[] previousScores

### lateScoreIndex

    protected int lateScoreIndex

Constructor Detail

### LateAcceptanceAcceptor

    public LateAcceptanceAcceptor()

Method Detail

### setLateAcceptanceSize

    public void setLateAcceptanceSize(int lateAcceptanceSize)

### setHillClimbingEnabled

    public void setHillClimbingEnabled(boolean hillClimbingEnabled)

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### isAccepted

    public boolean isAccepted(LocalSearchMoveScope moveScope)

  Parameters:
    `moveScope` - not null
  Returns:
    true if accepted

### stepEnded

    public void stepEnded(LocalSearchStepScope stepScope)

  Specified by:
    `stepEnded` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `stepEnded` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `LocalSearchSolverPhaseLifecycleListenerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.